%global pyver 2.5

Summary: Library providing XSLT support
Name: libxslt

%global momorel 2
%global md5sum_src0 aa0b4817c38104d9a724ee12b81e286e
Version: 1.1.20
Release: %{momorel}m%{?dist}
License: MIT/X
Group: Development/Libraries
URL: http://xmlsoft.org/XSLT/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.1/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libxml2-devel >= 2.6.27, libgcrypt-devel >= 1.2.2-2m
BuildPrereq: python-devel >= %{pyver}
BuildPrereq: libgpg-error-devel
Provides: libxslt-python

%description
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have libxml2 installed.

%package devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel
Requires: python-devel

%description devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 installed.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
%makeinstall

rm -fr install-doc
mkdir install-doc
cp -a %{buildroot}%{_docdir}/libxslt-python-%{version} install-doc/python
rm -rf %{buildroot}%{_docdir}/libxslt-python-%{version}
cp -a python/libxsltclass.txt install-doc/python
cp -a python/tests/*.py install-doc/python
cp -a python/tests/*.xml install-doc/python
cp -a python/tests/*.xsl install-doc/python

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README Copyright COPYING TODO FEATURES
%doc doc/*.html doc/html doc/tutorial doc/tutorial2 doc/*.gif
%doc doc/EXSLT
%{_bindir}/xsltproc
%{_libdir}/lib*.so.*
%{_mandir}/man1/*
# libxslt-python
%doc install-doc/python
%{_libdir}/python%{pyver}/site-packages/libxsltmod.so
%{_libdir}/python%{pyver}/site-packages/libxslt.py

%files devel
%defattr(-, root, root)
%doc doc/libxslt-api.xml
%doc doc/libxslt-refs.xml
%doc doc/EXSLT/libexslt-api.xml
%doc doc/EXSLT/libexslt-refs.xml
%{_bindir}/xslt-config
%{_libdir}/*.a
%{_libdir}/*.sh
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/python%{pyver}/site-packages/libxsltmod.*a
%{_mandir}/man3/*
%{_datadir}/aclocal/libxslt.m4
%{_includedir}/libxslt
%{_includedir}/libexslt

%changelog
* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.20-2m)
- delete pyc pyo

* Mon Feb  5 2007 zunda <zunda at freeshell.org>
- (kossori)
- added BuildPrereq: libgpg-error-devel

* Fri Jan 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.20-1m)
- update to 1.1.20

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1.19-1m)
- update to 1.1.19

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.17-1m)
- update to 1.1.17

* Sun Aug 13 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.16-2m)
- libxslt(not libxslt-devel) Provides: libxslt-python

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.16-1m)
- update to 1.1.16

* Sun Jan  8 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1.15-3m)
- BuildPrereq: libgcrypt-devel >= 1.2.2-2m

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-2m)
- comment out unnessesaly autoreconf and make check

* Sun Nov 13 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1.15-1m)
- version up.
- GNOME 2.12.1 Desktop

* Sat Oct 29 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (1.1.12-3m)
- build against python-2.4.2

* Wed Jan 12 2005 TAKAHASHI Tamotsu <tamo>
- (1.1.12-2m)
- License: MIT/X

* Wed Jan 12 2005 TAKAHASHI Tamotsu <tamo>
- (1.1.12-1m)
- update: minor bugfixes
- modify doc files location
- Provides: libxslt-python

* Wed Dec 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.11-2m)
- add auto commands before %%build for fix missing lib*.so problem

* Sat Oct 16 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.1.11-1m)
- version 1.1.11

* Tue Sep  7 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.1.6-2m)
- rebuild against python2.3

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (1.1.6-1m)
- version 1.1.6

* Sun Apr 18 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.5-2m)
- adjustment BuildPreReq

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.1.5-1m)
- version 1.1.5
- GNOME 2.6 Desktop

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.1.2-2m)
- revised spec for enabling rpm 4.2.

* Sun Dec 28 2003 Kenta MURATA <muraken2@nifty.com>
- (1.1.2-1m)
- version 1.1.2.

* Mon Oct 27 2003 Kenta MURATA <muraken2@nifty.com>
- (1.0.33-2m)
- pretty spec file.

* Tue Oct 14 2003 OZAWA Sakuro <crouton@momonga-linux.org>
- (1.0.33-2m)
- remove libxslt-1.0.2-nazopublic.patch patch entry.

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.33-1m)
- version 1.0.33

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.32-1m)
- version 1.0.32

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.31-1m)
- version 1.0.31

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.30-1m)
- version 1.0.30

* Wed Apr 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.29-1m)
- version 1.0.29

* Tue Mar 25 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.28-1m)
- version 1.0.28

* Fri Feb 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.27-1m)
- version 1.0.27

* Tue Feb 11 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0.26-1m)
  update to 1.0.26

* Fri Feb 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.25-1m)
- version 1.0.25

* Wed Jan 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.24-1m)
- version 1.0.24

* Fri Dec 13 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.23-2m)
- update BuildPrereq: libxml2-devel >= 2.4.29-1m

* Wed Nov 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.23-1m)
- version 1.0.23

* Sun Oct 20 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.22-1m)
- version 1.0.22

* Fri Oct 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.21-1m)
- version 1.0.21

* Sat Aug 24 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.20-1m)
- version 1.0.20

* Sat Jul 27 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (1.0.19-2m)
- add %{_includedir}/libexslt at %{files} devel

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0.19-1m)
- version 1.0.19

* Wed May 29 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.18-2k)
- version 1.0.18

* Sun May 05 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.17-2k)
- version 1.0.17

* Tue Apr 16 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.16-2k)
- version 1.0.16

* Mon Apr 01 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.15-2k)
- version 1.0.15

* Wed Mar 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.0.14-4k)
- fix %files secsion(COPYING.LIB to COPYING)

* Tue Mar 19 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.14-2k)
- version 1.0.14

* Sat Mar 09 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.13-2k)
- version 1.0.13

* Mon Mar  4 2002 Kazuhiko <kazuhiko@kondara.org>
- (1.0.12-6k)
- fix a broken symlink of COPYING

* Wed Feb 20 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.12-4k)
- rebuild against for eog-0.112.0
- rebuild against for libgnomecanvas-1.112.0
- rebuild against for libgnome-1.112.0
- rebuild against for libxml2-2.4.16

* Tue Feb 12 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.12-2k)
- version 1.0.12

* Tue Jan 15 2002 Shingo Akagaki <dora@kondara.org>
- (1.0.10-2k)
- up to 1.0.10

* Fri Dec 14 2001 Shingo Akagaki <dora@kondara.org>
- (1.0.9-2k)
- up to 1.0.9

* Fri Nov  2 2001 Shingo Akagaki <dora@kondara.org>
- (1.0.6-2k)
- up to 1.0.6

* Sat Oct 20 2001 Motonobu Ichimura <famao@kondara.org>
- (1.0.5-2k)
- up to 1.0.5

* Thu Sep 13 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- (1.0.4-2k)
- version 1.0.4

* Sat Aug 25 2001 Shingo Akagaki <dora@kondara.org>
- version 1.0.3

* Mon Aug 20 2001 Toru Hoshina <toru@df-usa.com>
- (1.0.2-4k)
- LIBXSLT_PUBLIC...

* Fri Aug 17 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.0.2

* Mon Jul 16 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 1.0.0

* Mon Jul  9 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 0.14.0

* Wed Jul  4 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 0.13.0

* Mon Jun 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 0.12.0

* Wed May 02 2001 Motonobu Ichimura <famao@digitalfactory.co.jp>
- (0.8.0-4k)
- now libxslt requires libxml2-2.3.7

* Tue Apr 24 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 0.8.0

* Fri Apr 13 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (0.7.0-4k)
- up libxml2 require version to 2.3.6

* Wed Apr 11 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- version 0.7.0

* Mon Mar 26 2001 Shingo Akagaki <dora@kondara.org>
- version 0.6.0
- K2K

* Mon Jan 22 2001 Daniel.Veillard <Daniel.Veillard@imag.fr>

- created based on libxml2 spec file
